Ticket #42142

Strings.txt list follow tags with qualifiers that will not be received from metaserver

Open Date: 2021-05-02 20:46 Last Update: 2021-05-19 12:27

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

translations/Strings.txt list follow tags to be collected for translation. It includes qualifier to them. As metaserver will not sent them with such a qualifiers, the strings will not match and translation will not be used. I think the only thing we can do is to remove qualifiers, and hope the strings to be unique (or to add qualifiers to other instances).

Ticket History (3/7 Histories)

2021-05-02 20:46 Updated by: cazfi
  • New Ticket "Strings.txt list follow tags with qualifiers that will not be received from metaserver" created
2021-05-02 21:13 Updated by: cazfi
  • Milestone Update from (None) to 2.6.5 (closed)
  • Component Update from Bootstrap to Documentation
Comment

False alarm. We add the qualifier programmatically when after we receive the tag from the metaserver and before we call gettext to translate it.

Turning this to a documentation ticket to make sure we don't make the same erroneous assumption about the situation again.

2021-05-02 21:20 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-05-16 16:27 Updated by: cazfi
Comment

New patch version with factual corrections to the comment.

2021-05-19 12:27 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login